com.hazelcast.mapreduce

## Enum JobPartitionState.State

- java.lang.Object
- - java.lang.Enum<JobPartitionState.State>
  - - com.hazelcast.mapreduce.JobPartitionState.State

- All Implemented Interfaces:
    Serializable, Comparable<JobPartitionState.State>
  Enclosing interface:
    JobPartitionState

      public static enum JobPartitionState.State
      extends Enum<JobPartitionState.State>

  Definition of the processing states

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED` Partition calculation cancelled due to an internal exception
    `MAPPING` Partition is in mapping phase
    `PROCESSED` Partition is fully processed
    `REDUCING` Partition is in reducing phase (mapping may still not finished when this state is reached since there is a chunked based operation underlying)
    `WAITING` Partition waits for being calculated

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobPartitionState.State` | `byOrdinal(int ordinal)` Returns an processing state by its given ordinal
    `static JobPartitionState.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JobPartitionState.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WAITING

          public static final JobPartitionState.State WAITING

      Partition waits for being calculated

    - #### MAPPING

          public static final JobPartitionState.State MAPPING

      Partition is in mapping phase

    - #### REDUCING

          public static final JobPartitionState.State REDUCING

      Partition is in reducing phase (mapping may still not finished when this state is reached since there is a chunked based operation underlying)

    - #### PROCESSED

          public static final JobPartitionState.State PROCESSED

      Partition is fully processed

    - #### CANCELLED

          public static final JobPartitionState.State CANCELLED

      Partition calculation cancelled due to an internal exception

  - ### Method Detail

    - #### values

          public static JobPartitionState.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobPartitionState.State c : JobPartitionState.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobPartitionState.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### byOrdinal

          public static JobPartitionState.State byOrdinal(int ordinal)

      Returns an processing state by its given ordinal
      Parameters:
        `ordinal` - ordinal to search for
      Returns:
        the processing state for the given ordinal

Copyright © 2019. All rights reserved.